System.ServiceModel 4.0.0.0 System.Object System.Xml.Serialization.IXmlSerializable System.Xml.Serialization.XmlRoot("MetadataReference", Namespace="http://schemas.xmlsoap.org/ws/2004/09/mex")

When using indigo1, a metadata endpoint can be created for any service. The endpoint can be queried for metadata that allows a client to communicate with the endpoint. For example, a metadata endpoint can return a Web Services Description Language (WSDL) document that describes the methods and data types of a service.

The class is used with WS-MetadataExchange responses where references are directly encoded as <mex:MetadataReference> or <mex:MetadataLocation>.

Metadata documents can reference many other documents that describe types and those documents can contain even more references. The class represents a single endpoint that returns a document that can itself contain multiple WSDL or XSD items as well as other metadata references to other WS-MetadataExchange endpoints.

Instances of the class are commonly used when processing a , which represents the total metadata exchange point. The class is designed to resolve all references used to return the metadata. If, however, you need to examine each reference, use the class to represent each endpoint.

## Specifications

indigo2 implements the Web Services Metadata Exchange (WS-MetadataExchange) specification for returning metadata. That specification further uses the Web Services Transfer (WS-Transfer) specification to define the mechanism for retrieving XML-based data.

Represents a reference to a metadata document returned from a metadata exchange endpoint.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Constructor
  4.0.0.0
  To be added.

  Initializes a new instance of the class and specifies the network address and address version of the endpoint.

  An that contains the URI of the endpoint.
  An that contains the WS-Addressing version implemented by the endpoint.
- Property
  4.0.0.0
  System.ServiceModel.EndpointAddress To be added. To be added.

  Gets or sets the network address of a service that returns metadata.

- Property
  4.0.0.0
  System.ServiceModel.Channels.AddressingVersion To be added. To be added.

  Gets or sets the version implemented in, or used by the endpoint.

- Method
  4.0.0.0
  System.Xml.Schema.XmlSchema To be added.

  Returns an XML schema document for the metadata reference endpoint.

  An that represents the XML Schema Document (XSD) for the metadata endpoint reference.

- Method
  4.0.0.0
  System.Void `` To be added.

  Reads using the supplied reader object.

  An used to read with.
- Method
  4.0.0.0
  System.Void `` To be added.

  Writes an XML stream with the specified writer object.

  An used to write with.